%define	module	ExtUtils-CBuilder
%define	name	perl-%{module}
%define	version	0.18
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Compile and link C code for Perl modules 
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test)
BuildRequires:	perl(Text::ParseWords)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module can build the C portions of Perl modules by invoking the
appropriate compilers and linkers in a cross-platform manner. It was motivated
by the Module::Build project, but may be useful for other purposes as well.
However, it is not intended as a general cross-platform interface to all your C
building needs. That would have been a much more ambitious goal!

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes INSTALL
%{perl_vendorlib}/ExtUtils
%{_mandir}/*/*

%changelog
* Fri Jun 16 2006 Scott Karns <scottk@mandriva.org> 0.18-2mdv2007.0
- Updated BuildRequires per META.yml

* Mon Mar 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdk
- New release 0.18

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdk
- New release 0.17

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdk
- New release 0.15

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdk
- fist mdk package
